Company Enrich Overview

Lookup by Company Domain

curl -X POST https://api.fullcontact.com/v3/company.enrich \
-H "Authorization: Bearer {Your API Key}" \
-H "Content-Type: application/json" \
-d '{"domain":"fullcontact.com"}'
{
  "name": "FullContact, Inc.",
  "location": "1755 Blake Street, Suite 450, Denver, Colorado, United States",
  "twitter": "@fullcontact",
  "linkedin": "https://www.linkedin.com/company/fullcontact-inc-",
  "bio": "FullContact is the ... contacts and be awesome with people.",
  "logo": "https://d2ojpxxtu63wzl.cloudfront.net/stati...8ea9e4d47f5af6c",
  "website": "https://www.fullcontact.com",
  "founded": 2010,
  "employees": 350,
  "locale": "en",
  "category": "Other",
  "details": {
    "entity": {
      "name": "FullContact, Inc",
      "founded": 2010,
      "employees": 350
    },
    "locales": [{
      "code": "en",
      "name": "English"
      }],
    "categories": [{
      "code": "OTHER",
      "name": "Other"
    }],
    "industries": [{
      "type": "SIC",
      "name": "Computer Programming, Data Processing, and Other Computer Related Services",
      "code": "737"
    },
    {
      "type": "NAICS",
      "name": "Data Processing, Hosting, and Related Services",
      "code": "5182"
    }],
    "emails": [{
      "value": "[email protected]",
      "label": "other"
    },
    {
      "value": "[email protected]",
      "label": "sales"
    },
    {
      "value": "[email protected]",
      "label": "work"
    }],
    "phones": [{
      "value": "+1 (720) 475-1292",
      "label": "other"
    },
    {
      "value": "+1 (888) 330-6943",
      "label": "other"
    },
    {
      "value": "(303) 717-0414",
      "label": "other"
    }],
    "profiles": {
      "twitter": {
        "username": "fullcontact",
        "url": "https://twitter.com/fullcontact",
        "service": "twitter",
        "followers": 2873,
        "following": 120
      },
      "linkedin": {
        "username": "fullcontact-inc-",
        "url": "https://www.linkedin.com/company/fullcontact-inc-",
        "service": "linkedin"
      }
    },
    "locations": [{
      "label": "Headquarters",
      "addressLine1": "1755 Blake Street",
      "addressLine2": "Suite 450",
      "city": "Denver",
      "region": "Colorado",
      "regionCode": "CO",
      "postalCode": "80202",
      "country": "United States",
      "countryCode": "USA",
      "formatted": "1755 Blake Street Suite 450 Denver CO 80202"
    }],
      "images": [{
      "url": "https://d2ojpxxtu63wzl.cloudfront.net/...01842912b",
      "label": "logo"
    },
    {
      "url": "https://d2ojpxxtu63wzl.cloudfro...33e489c3aa06c3ac7",
      "label": "other"
    }],
    "urls": [{
      "value": "https://www.fullcontact.com",
      "label": "website"
    },
    {
      "value": "https://www.fullcontact.com/feed",
      "label": "rss"
    },
    {
      "value": "https://www.youtube.com/watch?v=RnltbT0BKMo",
      "label": "youtube"
    }],
    "keywords": [
      "CRM",
      "Contact Management",
      "Developer APIs",
      "Information Services",
      "Social Media"
    ],
    "traffic": {
      "countryRank": {
        "global": {
          "rank": 40093,
          "name": "Global"
        },
        "us": {
          "rank": 15545,
          "name": "United States"
        }
      },
      "localeRank": {
        "in": {
          "rank": 29313,
          "name": "India"
        },
        "gb": {
          "rank": 18772,
          "name": "United Kingdom"
        },
        "us": {
          "rank": 15545,
          "name": "United States"
        }
      }
    },
  "updated": "2017-11-01"
}

Retrieve information about a company by supplying the domain name.

This endpoint supports the use of webhooks. To use webhooks, include webhookUrl as a property inside
of the Company request object. Click here to learn more about Webhooks in the FullContact API.

Request Properties
domain
stringQueryable
The domain name of the company to lookup.
webhookUrl
Webhook URLOptional
An optional parameter on the request body containing a URL to an
endpoint on your service that will accept a posted json response of
an enrichment result.
Response Properties
name
string
The name of the company.
location
string
The location or address of the company.
twitter
string
The URL to the twitter profile associated with the company.
linkedin
string
The URL to the LinkedIn profile associated with the company.
bio
string
The company's bio.
logo
string
URL to the logo or image for the company.
website
string
URL to the company's website
founded
integer
The year the company was founded.
employees
integer
An approximate number of employees with the company.
locale
string
The locale of the company.
category
string
The category of the company. Possible values are Adult, Email Provider, Education, SMS, or Other.
details.locales[n].code
string
The code for each locale of the company.
details.locales[n].name
string
The displayable name for each locale of the company.
details.categories[n].code
string
The code for each category of the company. Possible calues are Adult, Email Provider, Education, SMS, or Other.
details.categories[n].name
string
The displayable name for each category of the company.
details.industries[n].type
string
The type of industry classification/code being used. Possible values are NAICS or SIC.
details.industries[n].name
string
The name for each of the industry classifications of the company.
details.industries[n].code
string
The industry code for each of the industry classifications of the company. FullContact's Company API returns the latest NAICS/SIC standard (2017) codes.
details.emails[n].value
string
An email address associated with the company.
details.emails[n].label
string
The type or label of the email address, with values such as sales, work, and other.
details.phones[n].value
string
A phone number associated with the company.
details.phones[n].label
string
The type or label of the phone number, with values such as sales, work, and other.
details.profiles.{platform}.username
string
Displayable username of the profile.
details.profiles.{platform}.userid
string
User ID associated with the profile.
details.profiles.{platform}.url
string
URL to the profile on the social platform.
details.profiles.{platform}.bio
string
Bio of the profile form the social platform.
details.profiles.{platform}.service
string
Name of the social platform.
details.profiles.{platform}.followers
integer
Number of follows of the profile, if applicable.
details.profiles.{platform}.following
integer
Number of profiles or topics the user is following, if applicable.
details.locations[n].label
string
The label for each company location.
details.locations[n].addressLine1
string
The first address line for each location.
details.locations[n].addressLine2
string
The second address line for each location.
details.locations[n].city
string
The city of each location.
details.locations[n].region
string
The region of each location. This is often the state or province.
details.locations[n].regionCode
string
The region code of each location.
details.locations[n].postalCode
string
The postal or ZIP code for each location.
details.locations[n].country
string
The country for each location.
details.locations[n].countryCode
string
The country code for each location.
details.locations[n].formatted
string
A single, formatted string representation of the location.
details.images[n].value
string
The URL for each photo or logo of the company.
details.images[n].label
string
The name or type of image for the company.
details.urls[n].value
string
The URL or website associated with the company.
details.urls[n].label
string
The type or name of website.
details.keywords
array
An array of keywords commonly associated with the company.
details.traffic.countryRank.{region}.rank
integer
The company's web traffic rank for the given region.
details.traffic.countryRank.{region}.name
string
The name of the region for the traffic rank.
details.traffic.localeRank.{locale}.rank
integer
The company's web traffic rank for the given locale.
details.traffic.localeRank.{locale}.name
string
The name of the locale for the traffic rank.